@echo off
rem This batch is designed for use with SP by DL1MEN and should be
rem understood as an example.
rem Adjust it to suit your needs.

SET SAVEPATH=C:\PACKET\SAVE

echo ͻ
echo _FFR.BAT batchfile for splitting capturefilesDG1BBQ@DB0CL 910616
echo ͼ
echo.

if "%1$"=="$" goto not_ok

rem Check, if the capturefile exists.
if exist %SAVEPATH%\spsave.c%1 goto continue
echo '%SAVEPATH%\spsave.c%1' does not exist!
goto end

rem Call FFR
:continue
ffr %SAVEPATH%\spsave.c0%1 -x *


rem Delete backup, if it already exists.
if exist %SAVEPATH%\spsave.b%1 goto erase
goto rename

:erase
echo Delete old backup.
del %SAVEPATH%\spsave.b%1

rem Convert the capturefile into a backupfile.
:rename
echo.
echo '%SAVEPATH%\spsave.c%1' renamed to '%SAVEPATH%\spsave.b%1'.
ren %SAVEPATH%\spsave.c%1 spsave.b%1

goto end

rem Wrong parameter.
:not_ok
echo Parameter missing!
echo.
echo Usage:
echo ------
echo.
echo _ffr X
echo.
echo X stands for the number of the capturefile that is to be split by FFR.
echo E.g: '_ffr 01' to split %SAVEPATH%\spsave.c01.
echo.
echo The extracted files will automatically be written to the following
echo directories:
echo \packet\code   - for encoded files.
echo \packet\mail   - for general mail.
echo \packet\pers   - for personal mail.
echo.
echo The capturefile will be renamed into '*.B*', e.g. 'SPSAVE.B01' after
echo processing.
echo.
:end
SET SAVEPATH=
